<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:21 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SwResource (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SwResource (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SwResource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwAccessService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" target="_top">Frames</a></li>
<li><a href="SwResource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore</div>
<h2 title="Interface SwResource" class="title">Interface SwResource</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/Alarm.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency">Alarm</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/DeviceBroker.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering">DeviceBroker</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/InterruptResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency">InterruptResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/MemoryBroker.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering">MemoryBroker</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/MemoryPartition.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency">MemoryPartition</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/MessageComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">MessageComResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/NotificationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">NotificationResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwCommunicationResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/SwConcurrentResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency">SwConcurrentResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwInteractionResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwMutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwMutualExclusionResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/SwSchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency">SwSchedulableResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwSynchronizationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwSynchronizationResource</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/AlarmImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl">AlarmImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/impl/DeviceBrokerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.impl">DeviceBrokerImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/InterruptResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl">InterruptResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Brokering/impl/MemoryBrokerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.impl">MemoryBrokerImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/MemoryPartitionImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl">MemoryPartitionImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/MessageComResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">MessageComResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/NotificationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">NotificationResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SharedDataComResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/SwConcurrentResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl">SwConcurrentResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwInteractionResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwMutualExclusionResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwMutualExclusionResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl">SwResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/SwSchedulableResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl">SwSchedulableResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwSynchronizationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwSynchronizationResourceImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">SwResource</span>
extends <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Sw Resource</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements--"><code><em>Identifier Elements</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements--"><code><em>State Elements</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getMemorySizeFootprint--"><code><em>Memory Size Footprint</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices--"><code><em>Create Services</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices--"><code><em>Delete Services</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices--"><code><em>Initialize Services</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource--"><code>SW_ResourceCorePackage.getSwResource()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices--">getCreateServices</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Create Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getCreateServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                 org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Create Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getCreateServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                 org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                 boolean&nbsp;ignoreCase,
                 org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Create Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices--">getDeleteServices</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Delete Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getDeleteServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                 org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Delete Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getDeleteServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                 org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                 boolean&nbsp;ignoreCase,
                 org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Delete Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements--">getIdentifierElements</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Identifier Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-">getIdentifierElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                     org.eclipse.uml2.uml.Type&nbsp;type)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Identifier Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getIdentifierElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                     org.eclipse.uml2.uml.Type&nbsp;type,
                     boolean&nbsp;ignoreCase,
                     org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Identifier Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices--">getInitializeServices</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Initialize Services</b></em>' reference list.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getInitializeServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                     org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                     org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Initialize Services</b></em>' reference
 list.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getInitializeServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                     org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                     org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                     boolean&nbsp;ignoreCase,
                     org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Initialize Services</b></em>' reference
 list.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getMemorySizeFootprint--">getMemorySizeFootprint</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Memory Size Footprint</b></em>' reference.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements--">getStateElements</a></span>()</code>
<div class="block">Returns the value of the '<em><b>State Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-">getStateElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                org.eclipse.uml2.uml.Type&nbsp;type)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>State Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getStateElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                org.eclipse.uml2.uml.Type&nbsp;type,
                boolean&nbsp;ignoreCase,
                org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>State Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#setMemorySizeFootprint-org.eclipse.uml2.uml.TypedElement-">setMemorySizeFootprint</a></span>(org.eclipse.uml2.uml.TypedElement&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getMemorySizeFootprint--"><code><em>Memory Size Footprint</em></code></a>' reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getResMult--">getResMult</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isActive--">isActive</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isProtected--">isProtected</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getIdentifierElements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIdentifierElements</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;&nbsp;getIdentifierElements()</pre>
<div class="block">Returns the value of the '<em><b>Identifier Elements</b></em>' reference list.
 The list contents are of type <code>TypedElement</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Identifier Elements</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Identifier Elements</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_IdentifierElements--"><code>SW_ResourceCorePackage.getSwResource_IdentifierElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIdentifierElements</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getIdentifierElements(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                        org.eclipse.uml2.uml.Type&nbsp;type)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Identifier Elements</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements--"><code>getIdentifierElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIdentifierElements</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getIdentifierElements(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                        org.eclipse.uml2.uml.Type&nbsp;type,
                                                        boolean&nbsp;ignoreCase,
                                                        org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Identifier Elements</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements--"><code>getIdentifierElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStateElements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStateElements</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;&nbsp;getStateElements()</pre>
<div class="block">Returns the value of the '<em><b>State Elements</b></em>' reference list.
 The list contents are of type <code>TypedElement</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>State Elements</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>State Elements</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_StateElements--"><code>SW_ResourceCorePackage.getSwResource_StateElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStateElements</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getStateElements(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                   org.eclipse.uml2.uml.Type&nbsp;type)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>State Elements</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements--"><code>getStateElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStateElements</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getStateElements(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                   org.eclipse.uml2.uml.Type&nbsp;type,
                                                   boolean&nbsp;ignoreCase,
                                                   org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>State Elements</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements--"><code>getStateElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemorySizeFootprint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemorySizeFootprint</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getMemorySizeFootprint()</pre>
<div class="block">Returns the value of the '<em><b>Memory Size Footprint</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Memory Size Footprint</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Memory Size Footprint</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#setMemorySizeFootprint-org.eclipse.uml2.uml.TypedElement-"><code>setMemorySizeFootprint(TypedElement)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_MemorySizeFootprint--"><code>SW_ResourceCorePackage.getSwResource_MemorySizeFootprint()</code></a></dd>
</dl>
</li>
</ul>
<a name="setMemorySizeFootprint-org.eclipse.uml2.uml.TypedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMemorySizeFootprint</h4>
<pre>void&nbsp;setMemorySizeFootprint(org.eclipse.uml2.uml.TypedElement&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getMemorySizeFootprint--"><code><em>Memory Size Footprint</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Memory Size Footprint</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getMemorySizeFootprint--"><code>getMemorySizeFootprint()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCreateServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCreateServices</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;&nbsp;getCreateServices()</pre>
<div class="block">Returns the value of the '<em><b>Create Services</b></em>' reference list.
 The list contents are of type <code>BehavioralFeature</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Create Services</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Create Services</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_CreateServices--"><code>SW_ResourceCorePackage.getSwResource_CreateServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCreateServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getCreateServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                         org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                         org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Create Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices--"><code>getCreateServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCreateServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getCreateServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                         org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                         org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                                                         boolean&nbsp;ignoreCase,
                                                         org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Create Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices--"><code>getCreateServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDeleteServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeleteServices</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;&nbsp;getDeleteServices()</pre>
<div class="block">Returns the value of the '<em><b>Delete Services</b></em>' reference list.
 The list contents are of type <code>BehavioralFeature</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Delete Services</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Delete Services</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_DeleteServices--"><code>SW_ResourceCorePackage.getSwResource_DeleteServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeleteServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getDeleteServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                         org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                         org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Delete Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices--"><code>getDeleteServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeleteServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getDeleteServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                         org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                         org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                                                         boolean&nbsp;ignoreCase,
                                                         org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Delete Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices--"><code>getDeleteServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getInitializeServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInitializeServices</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;&nbsp;getInitializeServices()</pre>
<div class="block">Returns the value of the '<em><b>Initialize Services</b></em>' reference list.
 The list contents are of type <code>BehavioralFeature</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Initialize Services</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Initialize Services</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_InitializeServices--"><code>SW_ResourceCorePackage.getSwResource_InitializeServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInitializeServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getInitializeServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                             org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                             org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Initialize Services</b></em>' reference
 list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices--"><code>getInitializeServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getInitializeServices</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getInitializeServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                             org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                             org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                                                             boolean&nbsp;ignoreCase,
                                                             org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>' from the '<em><b>Initialize Services</b></em>' reference
 list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices--"><code>getInitializeServices()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SwResource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwAccessService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" target="_top">Frames</a></li>
<li><a href="SwResource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
